#
# spec file for package python-shellingham
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-shellingham
Version:        1.5.4
Release:        1.6
Summary:        Library to detect surrounding shell
License:        ISC
Group:          Development/Languages/Python
URL:            https://github.com/sarugaku/shellingham
Source:         https://github.com/sarugaku/shellingham/archive/refs/tags/%{version}.tar.gz#/shellingham-%{version}-gh.tar.gz
BuildRequires:  %{python_module base >= 3.7}
BuildRequires:  %{python_module pytest-mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Python library to detect surrounding shell.

%prep
%setup -q -n shellingham-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/shellingham
%{python_sitelib}/shellingham-%{version}*-info

%changelog
* Mon Nov 27 2023 Dirk Müller <dmueller@suse.com>
- update to 1.5.4:
  * Detect proc format eagerly so it throws the error at the
    correct location.
  * Fixed a regression causing ``ShellDetectionFailure`` if
    ``/proc`` is used for process lookup.
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Sun Oct  9 2022 Ben Greiner <code@bnavigator.de>
- Update to 1.5.0
  * Drop support for Python version older than 3.4. #50
  * Support detecting NuShell. #56
* Wed Mar 18 2020 pgajdos@suse.com
- version update to 1.3.2
  - Parse argument list to detect shells run via an interpreter, e.g. xonsh via Python.
* Wed Apr 24 2019 pgajdos@suse.com
- version update to 1.3.1
  * Fix a typo that prevents ash and csh from being detected.  `#24
  <https://github.com/sarugaku/shellingham/issues/24>`_
* Fri Mar  8 2019 John Vandenberg <jayvdb@gmail.com>
- Activated test suite from GitHub archive
- Update to v1.3.0
  * No significant changes
* Fri Mar  1 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.2.8
